# The following is a description of reb/power-supply configuration
# Each power supply has 6 channels and the rebs associated to each channel is
# specified in the "rebs" configuration parameter. The position in the array
# is the channel id.

org.lsst.ccs.subsystem.monitor.parallel.default.split=[byDevice]

org.lsst.ccs.power.supplies = [P00,P01,P02,P03,P04,P05,P06,P07,P08,P09,P10,P11,P12] 
#org.lsst.ccs.power.supplies = [P00] 

org.lsst.ccs.power.P00.rebs = [R43/Reb0, R43/Reb1, R43/Reb2, R33/Reb0, R33/Reb1, R33/Reb2]
#org.lsst.ccs.power.P00.bfr.relay = 11
#org.lsst.ccs.power.P00.bfr.name = REB PS 0-2
#org.lsst.ccs.power.P00.slot = 0

org.lsst.ccs.power.P01.rebs = [R23/Reb0, R23/Reb1, R23/Reb2, R32/Reb0, R32/Reb1, R32/Reb2]
#org.lsst.ccs.power.P01.bfr.relay = 11
#org.lsst.ccs.power.P01.bfr.name = REB PS 0-2
#org.lsst.ccs.power.P01.slot = 1

org.lsst.ccs.power.P02.rebs = [R24/Reb0, R24/Reb1, R24/Reb2, R34/Reb0, R34/Reb1, R34/Reb2]
#org.lsst.ccs.power.P02.bfr.relay = 11
#org.lsst.ccs.power.P02.bfr.name = REB PS 0-2
#org.lsst.ccs.power.P02.slot = 2

org.lsst.ccs.power.P03.rebs = [R31/Reb0, R31/Reb1, R31/Reb2, R41/Reb0, R41/Reb1, R41/Reb2]
#org.lsst.ccs.power.P03.bfr.relay = 12
#org.lsst.ccs.power.P03.bfr.name = REB PS 3-5
#org.lsst.ccs.power.P03.slot = 3

org.lsst.ccs.power.P04.rebs = [R42/Reb0, R42/Reb1, R42/Reb2, R21/Reb0, R21/Reb1, R21/Reb2]
#org.lsst.ccs.power.P04.bfr.relay = 12
#org.lsst.ccs.power.P04.bfr.name = REB PS 3-5
#org.lsst.ccs.power.P04.slot = 4

org.lsst.ccs.power.P05.rebs = [R30/Reb0, R30/Reb1, R30/Reb2, R20/Reb0, R20/Reb1, R20/Reb2]
#org.lsst.ccs.power.P05.bfr.relay = 12
#org.lsst.ccs.power.P05.bfr.name = REB PS 3-5
#org.lsst.ccs.power.P05.slot = 5

org.lsst.ccs.power.P06.rebs = [R03/Reb0, R03/Reb1, R03/Reb2, R02/Reb0, R02/Reb1, R02/Reb2]
#org.lsst.ccs.power.P06.bfr.relay = 13
#org.lsst.ccs.power.P06.bfr.name = REB PS 6-8
#org.lsst.ccs.power.P06.slot = 6

org.lsst.ccs.power.P07.rebs = [R13/Reb0, R13/Reb1, R13/Reb2, R12/Reb0, R12/Reb1, R12/Reb2]
#org.lsst.ccs.power.P07.bfr.relay = 13
#org.lsst.ccs.power.P07.bfr.name = REB PS 6-8
#org.lsst.ccs.power.P07.slot = 7

org.lsst.ccs.power.P08.rebs = [R14/Reb0, R14/Reb1, R14/Reb2, R22/Reb0, R22/Reb1, R22/Reb2]
#org.lsst.ccs.power.P08.bfr.relay = 13
#org.lsst.ccs.power.P08.bfr.name = REB PS 6-8
#org.lsst.ccs.power.P08.slot = 8

org.lsst.ccs.power.P09.rebs = [R01/Reb0, R01/Reb1, R01/Reb2, , , ]
#org.lsst.ccs.power.P09.bfr.relay = 14
#org.lsst.ccs.power.P09.bfr.name = REB PS 9-12
#org.lsst.ccs.power.P09.slot = 9

org.lsst.ccs.power.P10.rebs = [R11/Reb0, R11/Reb1, R11/Reb2, R10/Reb0, R10/Reb1, R10/Reb2]
#org.lsst.ccs.power.P10.bfr.relay = 14
#org.lsst.ccs.power.P10.bfr.name = REB PS 9-12
#org.lsst.ccs.power.P10.slot = 10

org.lsst.ccs.power.P11.rebs = [R04/RebW, R04/RebG, R04/RebWHeater, R00/RebW, R00/RebG, R00/RebWHeater]
#org.lsst.ccs.power.P11.bfr.relay = 14
#org.lsst.ccs.power.P11.bfr.name = REB PS 9-12
#org.lsst.ccs.power.P11.slot = 11
org.lsst.ccs.power.P11.isCornerRaft = true

org.lsst.ccs.power.P12.rebs = [R44/RebW, R44/RebG, R44/RebWHeater, R40/RebW, R40/RebG, R40/RebWHeater]
#org.lsst.ccs.power.P12.bfr.relay = 14
#org.lsst.ccs.power.P12.bfr.name = REB PS 9-12
#org.lsst.ccs.power.P12.slot = 12
org.lsst.ccs.power.P12.isCornerRaft = true
 
RebPS/P00/switchName = RebBulk0-2
RebPS/P01/switchName = RebBulk0-2
RebPS/P02/switchName = RebBulk0-2
RebPS/P03/switchName = RebBulk3-5
RebPS/P04/switchName = RebBulk3-5
RebPS/P05/switchName = RebBulk3-5
RebPS/P06/switchName = RebBulk6-8
RebPS/P07/switchName = RebBulk6-8
RebPS/P08/switchName = RebBulk6-8
RebPS/P09/switchName = RebBulk9-12
RebPS/P10/switchName = RebBulk9-12
RebPS/P11/switchName = RebBulk9-12
RebPS/P12/switchName = RebBulk9-12

